Subject: Re: action stats broken?

From: John Fastabend <[email-masked]>
Date: Sun, 21 Sep 2014 07:50:17 -0700

On 09/21/2014 07:21 AM, Jamal Hadi Salim wrote:
> On 09/21/14 08:33, Jamal Hadi Salim wrote:
>> On 09/20/14 11:21, John Fastabend wrote:
>>
>> I have time this morning - I will chase it to double check in case
>> my environment is messed up.
>>
>
> There is something wrong for sure.
> Ruling out kernel regression at this point.
> It is definetely passing the stats.
> Zoning on iproute2.
>
> cheers,
> jamal
>
>

I am using the latest iproute2 tip,

commit eb5d01ff38080935a1a528e4c99cab42bf93d762
Author: Stephen Hemminger <[email-masked]>
Date:   Sun Sep 14 20:40:37 2014 -0700

     update dsfield file values

     Update the rt_dsfield file to contain values defined in current RFC.
     The days of TOS precedence are gone, even Cisco doesn't refer
     to these in the documents.

I think you are right might need to bisect iproute2.

-- 
John Fastabend         Intel Corporation